Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface BoundHashOperations<H,HK,HV>

All Superinterfaces:
  BoundKeyOperations<H>

    public interface BoundHashOperations<H,HK,HV>

extends BoundKeyOperations<H>

Hash operations bound to a certain key.

Method Summary
`void` | `delete(Object... keys)`
`Map<HK,HV>` | `entries()`
`HV` | `get(Object key)`
`RedisOperations<H,?>` | `getOperations()`
`Boolean` | `hasKey(Object key)`
`Double` | `increment(HK key, double delta)`
`Long` | `increment(HK key, long delta)`
`Set<HK>` | `keys()`
`List<HV>` | `multiGet(Collection<HK> keys)`
`void` | `put(HK key, HV value)`
`void` | `putAll(Map<? extends HK,? extends HV> m)`
`Boolean` | `putIfAbsent(HK key, HV value)`
`Long` | `size()`
`List<HV>` | `values()`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Method Detail

### getOperations

    RedisOperations<H,?> getOperations()

### hasKey

    Boolean hasKey(Object key)

### increment

    Long increment(HK key,
                   long delta)

### increment

    Double increment(HK key,
                     double delta)

### get

    HV get(Object key)

### put

    void put(HK key,
             HV value)

### putIfAbsent

    Boolean putIfAbsent(HK key,
                        HV value)

### multiGet

    List<HV> multiGet(Collection<HK> keys)

### putAll

    void putAll(Map<? extends HK,? extends HV> m)

### keys

    Set<HK> keys()

### values

    List<HV> values()

### size

    Long size()

### delete

    void delete(Object... keys)

### entries

    Map<HK,HV> entries()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD